Package com.sun.speech.freetts

# Interface FeatureProcessor

All Known Implementing Classes:
  `FeatureProcessors.Accented`, `FeatureProcessors.AccentedSylIn`, `FeatureProcessors.Gpos`, `FeatureProcessors.LastAccent`, `FeatureProcessors.MonthRange`, `FeatureProcessors.NumDigits`, `FeatureProcessors.PH_CPlace`, `FeatureProcessors.PH_CType`, `FeatureProcessors.PH_CVox`, `FeatureProcessors.PH_VC`, `FeatureProcessors.PH_VFront`, `FeatureProcessors.PH_VHeight`, `FeatureProcessors.PH_VLength`, `FeatureProcessors.PH_VRnd`, `FeatureProcessors.PosInSyl`, `FeatureProcessors.PositionType`, `FeatureProcessors.SegCodaFric`, `FeatureProcessors.SegCodaGlide`, `FeatureProcessors.SegCodaNasal`, `FeatureProcessors.SegCodaStop`, `FeatureProcessors.SegmentDuration`, `FeatureProcessors.SegOnsetCoda`, `FeatureProcessors.SegOnsetFric`, `FeatureProcessors.SegOnsetGlide`, `FeatureProcessors.SegOnsetNasal`, `FeatureProcessors.SegOnsetStop`, `FeatureProcessors.StressedSylIn`, `FeatureProcessors.StressedSylOut`, `FeatureProcessors.SubPhrases`, `FeatureProcessors.SylBreak`, `FeatureProcessors.SylCodaSize`, `FeatureProcessors.SylIn`, `FeatureProcessors.SylOnsetSize`, `FeatureProcessors.SylOut`, `FeatureProcessors.TokenPosGuess`, `FeatureProcessors.WordBreak`, `FeatureProcessors.WordNumSyls`, `FeatureProcessors.WordPunc`

public interface FeatureProcessor
Performs a specific type of processing on an item and returns an object.

## Method Summary

Modifier and Type
Method
Description
`String`
`process(Item item)`
Performs some processing on the given item.

## Method Details

### process

String process(Item item) throws ProcessException
Performs some processing on the given item.

Parameters:
  `item` - the item to process
Throws:
  `ProcessException` - if an exception occurred during the processing